Skip to content
v1.0.0
OpenAPI 3.0.3

Compiling Email Templates

This API call allows inlining CSS styles into HTML tags and provides the final HTML code of email templates that are ready to be sent to recipients.

Server:https://plugins.stripo.email

Stripo API server

Client Libraries

Methods

​

Get compiled email

​

Get compiled inline CSS into HTML email templates.

Query Parameters

  • If true then html code will be in a format of a single line without line breaks

  • Allows you to select the type of code in the received compiled email. inlineCss: true - by default. This means that we will see CSS placed inside tags when we make a compiled form of HTML. inlineCss: false - editor will not inline the CSS in the tags, but rather write it at the head of the email.

Headers

  • Stripo plugin auth token in the format - Bearer ${AUTH_TOKEN}

  • JSON string with parameters to identify email (Same as metadata param in UI editor). For example: {"emailId": "id1"}

Responses

  • Compiled email

    • List of AMP errors inside AMP HTML email template

    • Compiled AMP version of HTML

    • List of AMP errors inside AMP HTML email template

      Properties: 5
    • Compiled HTML

    • List of IDs of sync modules what was found in the HTML

    application/json
Request Example for get/coediting/v1/email/compilation
curl 'https://plugins.stripo.email/coediting/v1/email/compilation?minimize=false&inlineCss=false' \
  --header 'ES-PLUGIN-AUTH: ' \
  --header 'ES-PLUGIN-UI-DATA: '
{
  "html": "string",
  "ampHtml": "string",
  "ampErrors": [
    "string"
  ],
  "syncModules": [
    1
  ],
  "conditions": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "beforeScript": "string",
      "afterScript": "string"
    }
  ]
}

Models

​
  • List of AMP errors inside AMP HTML email template

  • Compiled AMP version of HTML

  • List of AMP errors inside AMP HTML email template

    Properties: 5
  • Compiled HTML

  • List of IDs of sync modules what was found in the HTML

​
  • Content of afterScript section

  • Content of beforeScript section

  • Condition description

  • Condition ID

  • Condition name